Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Merge develop #18

Merged
merged 12 commits into from
Apr 15, 2024
Prev Previous commit
Next Next commit
feat: Add FastAPI server and Vite dev server logging for debug and li…
…ve modes
  • Loading branch information
lehcode committed Apr 14, 2024
commit bf8f4ea041bb05e4df389b45066a6be96ed8f775
3 changes: 2 additions & 1 deletion docker/devin/app/entrypoint.sh
Original file line number Diff line number Diff line change
Expand Up @@ -14,7 +14,8 @@ if [ -n "${DEBUG}" ]; then
env | grep JUPYTER_PORT
echo "Nvidia CUDA properties:"
nvidia-smi
bash "$BIN_DIR/env_debug.sh"
# pwd
bash $BIN_DIR/env_debug
fi

set -eux
Expand Down
30 changes: 15 additions & 15 deletions docker/devin/ui/entrypoint.sh
Original file line number Diff line number Diff line change
@@ -1,24 +1,24 @@
#!/bin/bash
#!/bin/bash --login

if [ -n "${DEBUG}" ]; then set -eux; fi

PATH="${PATH}:$yarn_global_root/node_modules/npm/bin:$yarn_global_root/bin"
echo ${PATH}

# Process named arguments
while getopts ":-m:-e:" opt; do
case ${opt} in
-m ) llm_model="$OPTARG";;
-e ) embeddings_model="$OPTARG";;
\? ) echo "Invalid option: $OPTARG" 1>&2; exit 1;;
: ) echo "Invalid option: $OPTARG requires an argument" 1>&2; exit 1;;
esac
done
shift $((OPTIND -1))

# Access named arguments
echo "Default LLM model: $llm_model"
echo "Default Embeddings model: $embeddings_model"
# # Process named arguments
# while getopts ":-m:-e:" opt; do
# case ${opt} in
# -m ) llm_model="$OPTARG";;
# -e ) embeddings_model="$OPTARG";;
# \? ) echo "Invalid option: $OPTARG" 1>&2; exit 1;;
# : ) echo "Invalid option: $OPTARG requires an argument" 1>&2; exit 1;;
# esac
# done
# shift $((OPTIND -1))
#
# # Access named arguments
# echo "Default LLM model: $llm_model"
# echo "Default Embeddings model: $embeddings_model"

which vite

Expand Down